# PluginManagementSpec

API Documentation: | `PluginManagementSpec`

Configures how plugins are resolved.

### Properties

No properties

### Methods

Method | Description
`plugins(action)` | Incubating Configure the default plugin versions.
`repositories(repositoriesAction)` | Defines the plugin repositories to use.
`resolutionStrategy(action)` | Configure the plugin resolution strategy.

### Script blocks

No script blocks

### Method details

#### `void` `plugins`(``Action`<? super `PluginDependenciesSpec`>` action)

Note: This method is incubating and may change in a future version of Gradle.

Configure the default plugin versions.

#### `void` `repositories`(``Action`<? super `RepositoryHandler`>` repositoriesAction)

Defines the plugin repositories to use.

#### `void` `resolutionStrategy`(``Action`<? super `PluginResolutionStrategy`>` action)

Configure the plugin resolution strategy.